読者です 読者をやめる 読者になる 読者になる

YAMAGUCHI::weblog

土足で窓から失礼いたします。今日からあなたの息子になります。 当年とって92歳、下町の発明王、エジソンです。

Debian上のPHP4でPostgreSQLを使う

PHP

コンパイルするときに--with-pgsqlとすればいいんだけど、いじろうと思っていたサーバでのPHPは俺がインストールしたのではないので--without-pgsqlとなっていた。再インストールする必要があるかと思っていたんだけど、試しに

% apt-get install php4-pgsql

とした後に、php.iniに

extension=pgsql.so

と追加してApacheを再起動したらPostgreSQL関数が使えるようになっていた。あらら。